#!/usr/bin/env python3

from os import environ
from flask import Flask, request
from subprocess import check_output

app = Flask(__name__)

@app.route('/<strategy>', methods=['POST'])
def build(strategy):
    app.logger.info(str(request.get_json()))
    print(strategy, request.get_json())
    return check_output([f"/{environ['STRATEGIES_DIR']}/{strategy}", request.get_json()])
